## adasockets 1.10.1

=== debian/changelog ===
adasockets (1.10.1-1) unstable; urgency=medium

  * Acknowledge NMUs 1.9-1.1 and 1.10.1-0.1.  Thank you, Nicolas.
  * Bump standards version to 4.1.0.
  * Change priority to optional.

 -- Phil Brooke <pjb@debian.org>  Sun, 17 Sep 2017 16:05:20 +0000

adasockets (1.10.1-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release built with gnat-7.
    Rename runtime and -dev package per Ada policy.
    Build-Depend: autogen for doc/*.texi instead of keeping a copy.
  * Link with libgnarl. Closes: 558836.
  * Switch to source format 3.0 (quilt). Split and improve patches.
  * Switch to debhelper 10 and dh driver.
  * Adapt library package and user project to multiarch paths.
  * Move README from library package to -dev package.
    Do not install .la file, as recommended by lintian.
  * Watch file, runtime test, Homepage, Standards-Version: 4.0.0, doc-base.
  * README.Debian for examples instead of a Makefile.
  * Switch copyright file to machine readable 1.0 format.
  * Enable all hardening flags.
  * Fix pkg-config paths.
  * Move project to /usr/share/gpr.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 29 Jul 2017 18:21:32 +0200

adasockets (1.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild with gnat-6, bump ALI and SO versions. Closes: #830383.
    Conflict with previous -dev can be implicit via gnat-X per Ada policy.
    When possible, copy versions automatically to ease next update.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Jul 2016 16:07:44 +0200

adasockets (1.9-1) unstable; urgency=medium

  * New upstream release (closes: #756864).
  * Bump standards version to 3.9.6.
  * Add copyright notice from adasockets.texi to debian/copyright.
    (Closes: #756385.)
  * Apply patch from Breno Leitao to apply dh_autoconf, to fix FTBFS
    on ppc64el.  Thanks, Breno.  (Closes: #756423.)
  * Remove spurious ...info/dir.gz file.

 -- Phil Brooke <pjb@debian.org>  Sat, 18 Oct 2014 14:24:09 +0100

adasockets (1.8.11-1) unstable; urgency=medium

  * New upstream release.
  * Update GNAT version to 4.9.  Bump to ALIVERSION 5, with configure
    and some files renamed as required.  (Closes: #755009.)
  * Add lintian override for Ada file (hardening-no-relro).
  * Bump standards version to 3.9.5.

 -- Phil Brooke <pjb@debian.org>  Tue, 22 Jul 2014 13:54:04 +0100

adasockets (1.8.10-2) unstable; urgency=low

  * Fix GNAT project file that was missing Externally_Built attribute
    (closes: #680045).  Also needed Library_ALI_Dir attribute.

 -- Phil Brooke <pjb@debian.org>  Tue, 03 Jul 2012 09:29:20 +0100

adasockets (1.8.10-1) unstable; urgency=low

  * New upstream release (closes: #670580).
  * Bump standards version to 3.9.3.

 -- Phil Brooke <pjb@debian.org>  Mon, 11 Jun 2012 11:35:47 +0100

adasockets (1.8.9-1) unstable; urgency=low

  * New upstream release.
  * Bump gnat version to 4.6 (closes: #642611).
    * ALI version changes from 3 to 4.
    * New lib and dev packages, name is libadasockets4(-dev).
    * New soname libadasockets.so.4.
    * New shared library file name libadasockets.so.4.0.0.
    * Modified soname in configure/configure.ac.
  * Bump to standards version 3.9.2.
  * Fix build targets.

 -- Phil Brooke <pjb@debian.org>  Wed, 07 Dec 2011 11:53:11 +0000

adasockets (1.8.8-2) unstable; urgency=low

  * Fix build-depends for Ada compiler.
  * Set debian/source/format.
  * Bump to standards version 3.9.0.
  * Fix copyright address.

 -- Phil Brooke <pjb@debian.org>  Wed, 30 Jun 2010 17:29:02 +0100

adasockets (1.8.8-1) unstable; urgency=low

  * New upstream release.
    * ALI version changes from 2 to 3, new soname.
    * New library and dev packages.
  * Rename libadasockets-dev to libadasockets3-dev (Closes: #580907).
    Also adding conflicts: and replaces: to previous versions.
  * Update copyright file.

 -- Phil Brooke <pjb@debian.org>  Tue, 22 Jun 2010 09:29:48 +0100

adasockets (1.8.6-3) unstable; urgency=low

  * Bump gnat version to 4.4.
    * ALI version changes from 1 to 2.
    * New library package, name is libadasockets2.
    * New soname libadasockets.so.2.
    * New shared library file name libadasockets.so.2.0.0.
    * Modified soname in configure/configure.ac.
    (Closes: #562872).
  * Change architecture to any (to match gnat-4.4). 
    (Closes: #568433, #542409).
  * Bump standards version to 3.8.4.
  * Add ${misc:Depends} to Depends.
  * Bump debian/compat to 6 and build-depends on debhelper.
  * Add dpkg (>= 1.15.4) | install-info to -dev package depends.
  * Patch assorted source files for "(style) "in" should be omitted"
    errors.  Patch provided by Arno Schuring -- thank you.
  * Modified Makefile.in to not provide info...dir.gz file.

 -- Phil Brooke <pjb@debian.org>  Sat, 06 Feb 2010 16:22:05 +0000

adasockets (1.8.6-2) unstable; urgency=low

  * Bump gnat version to 4.3.
  * Add mips and mipsel architectures.
  * Depend on texlive instead of tetex-bin.	
  * Bump standards version to 3.8.0.

 -- Phil Brooke <pjb@debian.org>  Fri, 18 Jul 2008 07:31:54 +0100

adasockets (1.8.6-1) unstable; urgency=low

  * New upstream release.
  * Very minor fix to adasockets.texi (added `@' to email address).
  * Added @dircategory (Ada libraries) to adasockets.texi.
  * Info file installed using dh_installinfo now.
  * DH_COMPAT removed from rules, added debian/compat.
  * Bumped standards version to 3.7.3.
  * No longer ignore distclean errors.  Also removed the dependency in
    the clean target (closes: #449088).
  * Change substvar to use binary:Version, not Source-Version.
  * Changed Debian copyright file encoding to UTF-8.
  * Modified src/Makefile.am to make sure that SONAME stays as .1
    (thanks Neil Williams).
  * Delete doc/adasockets.info in debian/rules clean target: this is
    ignored when building source.  Avoids spurious changes being recorded.

 -- Phil Brooke <pjb@debian.org>  Thu, 20 Dec 2007 21:48:26 +0000

adasockets (1.8.4.7-5) unstable; urgency=low


