=== debian/control ===
Source: adasockets
Maintainer: Phil Brooke <pjb@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.1.0
Build-Depends:
 gnat, gnat-7,
# Note: debian/rules reads this lines to find gnat_version.
 debhelper (>= 10),
 texinfo, texlive,
 dpkg-dev (>= 1.16.1),
# providing /usr/share/dpkg/default.mk
 autogen
# see doc/Makefile.am
Homepage: https://www.rfc1149.net/devel/adasockets.html

Package: libadasockets7-dev
Architecture: any
Depends: gnat, gnat-7, libadasockets7 (=${binary:Version}), ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Section: libdevel
Description: bindings for socket services in Ada: development files
 This package provides a binding for socket services to be used with GNAT
 (the GNU Ada compiler). One can use it to write clients and servers that
 will talk with programs written in Ada or any other programming language.
 .
 This package provides the Ada programmer with headers and libraries used
 to build Ada programs that use sockets services.

Package: libadasockets7
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Description: bindings for socket services in Ada: shared library
 This package provides a binding for socket services to be used with GNAT
 (the GNU Ada compiler). One can use it to write clients and servers that
 will talk with programs written in Ada or any other programming language.
 .
 This package contains the library needed to execute Ada program using sockets.
