=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Set DEB_HOST_MULTIARCH and friends.

define new_line :=


endef
$(eval $(addsuffix $(new_line),$(shell sed -n '\
  s/^ gnat, gnat-\([0-9.]\+\),$$/ \
    GNAT_VERSION:=\1 \
  /p;\
  s/^Package: \(libadasockets\([0-9.]\+\)\)$$/ \
    LIB_PKG:=\1 \
    soversion:=\2 \
  /p;\
  s/^Package: \(libadasockets[0-9.]\+-dev\)$$/ \
    DEV_PKG:=\1 \
  /p;\
  ' debian/control)))
DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk

GNATMAKE := gnatmake $(BUILDER_OPTIONS)

# Libtool finds symbols from libgnat, but not from libgnatrl (#558836).
LIBS := -lgnarl-$(GNAT_VERSION) -lgnat-$(GNAT_VERSION)

%:
	dh $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	dh_auto_configure -- \
	  $(if $(filter nodoc,$(DEB_BUILD_OPTIONS)),--disable-doc) \
	  $(foreach v,ADAFLAGS CC CFLAGS CPPFLAGS GNATMAKE LDFLAGS LIBS,"$(v)=$($(v))")

sed_generated := \
  debian/adasockets.gpr \
  debian/doc-base
override_dh_auto_configure: $(sed_generated)
debian/adasockets.gpr: debian/adasockets.gpr_sed
	sed '$(foreach v,DEB_HOST_MULTIARCH SOVERSION,s/@$(v)@/$($(v))/;)' $< > $@
debian/doc-base: debian/doc-base_sed
	sed '$(foreach v,DEV_PKG,s/@$(v)@/$($(v))/;)' $< > $@
.PHONY: override_dh_clean
override_dh_clean:
	dh_clean $(sed_generated)

# Without this, version.texi is not generated and texinfo fails.
.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) -C doc version.texi
	dh_auto_build

.PHONY: override_dh_install
override_dh_install:
	dh_install -p$(DEV_PKG) usr/bin/adasockets-config
	dh_install -p$(DEV_PKG) usr/lib/$(DEB_HOST_MULTIARCH)/libadasockets.a
	dh_install -p$(DEV_PKG) usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/adasockets.pc
	dh_install -p$(DEV_PKG) usr/lib/$(DEB_HOST_MULTIARCH)/libadasockets.so
	dh_install -p$(LIB_PKG) usr/lib/$(DEB_HOST_MULTIARCH)/libadasockets.so.*
  # Debian Ada policy directories.
	dh_install -p$(DEV_PKG) usr/lib/$(DEB_HOST_MULTIARCH)/adasockets/*.ad[bs] \
	  usr/share/ada/adainclude/adasockets
	dh_install -p$(DEV_PKG) usr/lib/$(DEB_HOST_MULTIARCH)/adasockets/*.ali \
	  usr/lib/$(DEB_HOST_MULTIARCH)/ada/adalib/adasockets
  # Debian specific gpr file.
	dh_install -p$(DEV_PKG) debian/adasockets.gpr usr/share/gpr
	dh_install --remaining-packages

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.adb -X.ads
