## adasockets 1.11.1

=== debian/changelog ===
adasockets (1.11.1-2) unstable; urgency=medium

  * Re-upload to carry changes from experimental to unstable (for
    GNAT-8 transition), closes: 903846.
  * The 1.11.1-1 fix re: debian/README.Debian closes: #903324.

 -- Phil Brooke <pjb@debian.org>  Sun, 21 Oct 2018 15:19:32 +0100

adasockets (1.11.1-1) experimental; urgency=medium

  * Apply changes from Nicolas Boulenguez.  Thank you!
    - Build with gcc-8.
    - Rename shared library and -dev package per Debian Ada policy.
    - Drop trailing white spaces in this changelog.
    - Debhelper 11. Staging directory is now implicit.
    - Really install debian/README.Debian.
    - Standards-Version: 4.1.5. Drop obsolete dependencies.
    - Let autopkgtest produce more debugging information.
  * New upstream release.

 -- Phil Brooke <pjb@debian.org>  Sat, 21 Jul 2018 20:13:27 +0100
