=== debian/control ===
--- 
+++ 
@@ -2,21 +2,20 @@
 Maintainer: Phil Brooke <pjb@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.0
+Standards-Version: 4.1.5
+Rules-Requires-Root: no
 Build-Depends:
- gnat, gnat-7,
+ gnat, gnat-8,
 # Note: debian/rules reads this lines to find gnat_version.
- debhelper (>= 10),
+ debhelper (>= 11),
  texinfo, texlive,
- dpkg-dev (>= 1.16.1),
-# providing /usr/share/dpkg/default.mk
  autogen
 # see doc/Makefile.am
 Homepage: https://www.rfc1149.net/devel/adasockets.html
 
-Package: libadasockets7-dev
+Package: libadasockets8-dev
 Architecture: any
-Depends: gnat, gnat-7, libadasockets7 (=${binary:Version}), ${misc:Depends}, dpkg (>= 1.15.4) | install-info
+Depends: gnat, gnat-8, libadasockets8 (=${binary:Version}), ${misc:Depends}
 Section: libdevel
 Description: bindings for socket services in Ada: development files
  This package provides a binding for socket services to be used with GNAT
@@ -26,7 +25,7 @@
  This package provides the Ada programmer with headers and libraries used
  to build Ada programs that use sockets services.
 
-Package: libadasockets7
+Package: libadasockets8
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
