=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# Set DEB_HOST_MULTIARCH and friends.
-
-define new_line :=
-
-
-endef
-$(eval $(addsuffix $(new_line),$(shell sed -n '\
+$(foreach line,$(shell sed -n '\
   s/^ gnat, gnat-\([0-9.]\+\),$$/ \
     GNAT_VERSION:=\1 \
   /p;\
@@ -20,7 +14,7 @@
   s/^Package: \(libadasockets[0-9.]\+-dev\)$$/ \
     DEV_PKG:=\1 \
   /p;\
-  ' debian/control)))
+  ' debian/control),$(eval $(line)))
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
 include /usr/share/dpkg/default.mk
 include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
@@ -51,12 +45,6 @@
 override_dh_clean:
 	dh_clean $(sed_generated)
 
-# Without this, version.texi is not generated and texinfo fails.
-.PHONY: override_dh_auto_build
-override_dh_auto_build:
-	$(MAKE) -C doc version.texi
-	dh_auto_build
-
 .PHONY: override_dh_install
 override_dh_install:
 	dh_install -p$(DEV_PKG) usr/bin/adasockets-config
