## adasockets 1.12

=== debian/changelog ===
adasockets (1.12-8) unstable; urgency=medium

  * Break/Replace libadasockets*-dev since oldstable. Closes: #1034896.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 10 May 2023 22:09:30 +0200

adasockets (1.12-7) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 00:14:28 +0100

adasockets (1.12-6) experimental; urgency=medium

  * Replace gnatgcc with an explicit gcc-BV command
  * Add upstream metadata
  * Improve comments in debhelper configuration files
  * Build with gcc-12. Rename -dev package but not the shared library.
  * Update for dh-ada-library 8.1. Drop fake project and not-installed.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 25 Aug 2022 09:39:55 +0000

adasockets (1.12-5) unstable; urgency=medium

  * Insert dh-ada-library in the build process
  * Update Standards-Version

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 04 Jun 2022 12:27:56 +0200

adasockets (1.12-4) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Update policy-compliant -dev dependency to gnat
  * Configure branch names for git-buildpackage

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 19:57:27 +0200

adasockets (1.12-3) experimental; urgency=medium

  * Rebuild with gcc-11 in experimental.  Rename -dev accordingly.
  * Use unversioned debian_packaging.mk from gnat package.
  * Standards-Version: 4.6.0.
  * uscan: drop unneeded filenamemangle option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 Apr 2022 22:33:49 +0000

adasockets (1.12-2) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 17 Dec 2020 00:17:13 +0100

adasockets (1.12-1) experimental; urgency=medium

  * New upstream release built with gcc-10. Rename lib and -dev accordingly.
  * Update a variable name for autopkgtest.
  * Standards-Version 4.5.0.
  * Enable all linker checks (--as-needed is the default with gcc-9).
  * Only include used dpkg-dev makefile snippets.
  * Update copyright, add stanza for texinfo.tex.
  * Drop obsolete Pre-Depends.
  * Debhelper 13.
  * Split rules files with debhelper config files.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 28 Jun 2020 11:16:09 +0000

adasockets (1.11.1-4) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 29 Feb 2020 14:11:03 +0100

adasockets (1.11.1-3) experimental; urgency=medium

  * Rebuild with gcc-9, rename lib and -dev packages accordingly.
  * Track packaging history on salsa.debian.org.
  * Add myself to Uploaders.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 12 Jan 2020 12:38:31 +0100
