=== debian/control ===
--- 
+++ 
@@ -1,21 +1,29 @@
 Source: adasockets
 Maintainer: Phil Brooke <pjb@debian.org>
+Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.5
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
- gnat, gnat-8,
-# Note: debian/rules reads this lines to find gnat_version.
- debhelper (>= 11),
+ debhelper-compat (= 13),
+ dh-ada-library (>= 8.1),
+ dh-sequence-ada-library,
+ gnat-12,
  texinfo, texlive,
  autogen
 # see doc/Makefile.am
 Homepage: https://www.rfc1149.net/devel/adasockets.html
+Vcs-Browser: https://salsa.debian.org/debian/adasockets
+Vcs-Git: https://salsa.debian.org/debian/adasockets.git
 
-Package: libadasockets8-dev
+Package: libadasockets12-dev
+Breaks: libadasockets8-dev, libadasockets9-dev, libadasockets10-dev, libadasockets11-dev
+Replaces: libadasockets8-dev, libadasockets9-dev, libadasockets10-dev, libadasockets11-dev
 Architecture: any
-Depends: gnat, gnat-8, libadasockets8 (=${binary:Version}), ${misc:Depends}
+Depends:
+ ${ada:Depends},
+ ${misc:Depends},
 Section: libdevel
 Description: bindings for socket services in Ada: development files
  This package provides a binding for socket services to be used with GNAT
@@ -25,10 +33,9 @@
  This package provides the Ada programmer with headers and libraries used
  to build Ada programs that use sockets services.
 
-Package: libadasockets8
+Package: libadasockets10
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: libs
 Description: bindings for socket services in Ada: shared library
