=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := \
  -Wl,--no-allow-shlib-undefined \
  -Wl,--no-copy-dt-needed-entries \
  -Wl,--no-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

%:
	dh $@

# Compile Ada and C sources with the same GCC version.
# Libtool finds symbols from libgnat, but not from libgnatrl (#558836).
.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	dh_auto_configure -- \
	  --with-libversioninfo=$(adasockets_SO_VERSION) \
	  --with-adasrcinstalldir=/$(DEB_ADA_SOURCE_DIR) \
	  --with-aliinstalldir=/$(DEB_ADA_LIB_INFO_DIR) \
	  --with-gprinstalldir=/$(DEB_GNAT_PROJECT_DIR) \
	  $(if $(filter nodoc,$(DEB_BUILD_OPTIONS)),--disable-doc) \
	  CC=gcc-$(DEB_GNAT_VERSION) \
	  GNATMAKE='gnatmake $(GNATMAKEFLAGS)' \
	  LIBS='-lgnarl-$(DEB_GNAT_VERSION) -lgnat-$(DEB_GNAT_VERSION)'

override_dh_auto_configure: debian/doc-base
debian/doc-base: debian/doc-base_sed
	sed s/@DEV_PKG@/$(adasockets_DEV_PKG)/ $< > $@
