=== debian/watch ===
version=4

https://github.com/samueltardieu/@PACKAGE@/tags \
  .*/v?(\d\S*)\.tar\.gz
