## adasockets 1.13

=== debian/changelog ===
adasockets (1.13-2) experimental; urgency=medium

  * Break and Replace old -dev packages which were previously containing
    the info documentation.  Closes: #1059596.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 06 Jan 2024 16:59:11 +0000

adasockets (1.13-1) experimental; urgency=medium

  * New upstream release, fetched from the new location.
  * Upload to experimental because of the following transitions.
  * Build with gnat-13.  Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Add a -doc package and move TeX to Build-Depends-Indep.
  * Use explicit debian/PACKAGE.{doc-base,docs,examples,info,install}
    files now that the -dev package is not versioned anymore.
  * Let the -dev package suggest pkg-config.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 Dec 2023 15:11:03 +0000
