=== debian/control ===
--- 
+++ 
@@ -7,19 +7,24 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- dh-ada-library (>= 8.1),
+ dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
- gnat-12,
- texinfo, texlive,
- autogen
-# see doc/Makefile.am
+ gnat (>= 13.1),
+Build-Depends-Indep:
+ autogen,
+ texinfo,
+ texlive-base,
 Homepage: https://www.rfc1149.net/devel/adasockets.html
 Vcs-Browser: https://salsa.debian.org/debian/adasockets
 Vcs-Git: https://salsa.debian.org/debian/adasockets.git
 
-Package: libadasockets12-dev
-Breaks: libadasockets8-dev, libadasockets9-dev, libadasockets10-dev, libadasockets11-dev
-Replaces: libadasockets8-dev, libadasockets9-dev, libadasockets10-dev, libadasockets11-dev
+Package: libadasockets-dev
+Breaks: libadasockets8-dev, libadasockets9-dev, libadasockets10-dev,
+ libadasockets11-dev, libadasockets12-dev
+Replaces: libadasockets8-dev, libadasockets9-dev, libadasockets10-dev,
+ libadasockets11-dev, libadasockets12-dev
+Provides: ${ada:Provides}
+Suggests: pkg-config
 Architecture: any
 Depends:
  ${ada:Depends},
@@ -33,7 +38,7 @@
  This package provides the Ada programmer with headers and libraries used
  to build Ada programs that use sockets services.
 
-Package: libadasockets10
+Package: libadasockets11
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -44,3 +49,21 @@
  will talk with programs written in Ada or any other programming language.
  .
  This package contains the library needed to execute Ada program using sockets.
+
+Package: libadasockets-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Suggests: gnat
+# /usr/share/info/adasockets.info.gz moved from -dev to -doc:
+Breaks: libadasockets8-dev, libadasockets9-dev, libadasockets10-dev,
+ libadasockets11-dev, libadasockets12-dev
+Replaces: libadasockets8-dev, libadasockets9-dev, libadasockets10-dev,
+ libadasockets11-dev, libadasockets12-dev
+Description: bindings for socket services in Ada: documentation
+ This package provides a binding for socket services to be used with GNAT
+ (the GNU Ada compiler). One can use it to write clients and servers that
+ will talk with programs written in Ada or any other programming language.
+ .
+ This package contains the documentation for Ada programmers.
