=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,8 @@
 	  GNATMAKE='gnatmake $(GNATMAKEFLAGS)' \
 	  LIBS='-lgnarl-$(DEB_GNAT_VERSION) -lgnat-$(DEB_GNAT_VERSION)'
 
-override_dh_auto_configure: debian/doc-base
-debian/doc-base: debian/doc-base_sed
-	sed s/@DEV_PKG@/$(adasockets_DEV_PKG)/ $< > $@
+# Tolerate full -indep builds, but avoid TeX during -arch builds.
+override_dh_auto_build-arch \
+override_dh_auto_test-arch \
+override_dh_auto_install-arch: override_%-arch:
+	$* -- SUBDIRS_DOC= SUBDIRS_EXAMPLES=
