## adasockets 1.14

=== debian/changelog ===
adasockets (1.14-3build2) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 07:46:34 +0200

adasockets (1.14-3build1) questing; urgency=medium

  * No-change rebuild against fixed gnat-14, see #1104593

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 19 May 2025 13:23:40 +0000

adasockets (1.14-3) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 19 Mar 2025 16:40:14 +0100

adasockets (1.14-2) experimental; urgency=medium

  * Build in experimental with gnat-14.
  * Fix upstream git url, add it as remote.
  * Remove obsolete work-around for #1066193.
  * Fix path and a typo in debian/clean
  * Enable salsa continuous integration pipeline
  * Update Standards-Version

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 22 Feb 2025 11:28:42 +0000

adasockets (1.14-1) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.
  * New upstream version.
    copyright: update ENST school name, drop texinfo license
  * Strip -Werror=implicit-function-declaration from ADAFLAGS.
    Closes: #1066193
  * Suggest pkgconf instead of deprecated pkg-config
  * upstream/metadata: adapt to upstream move from github to sr.ht.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 16:33:20 +0000
