=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
- gnat (>= 13.1),
+ gnat,
+ gnat-14,
 Build-Depends-Indep:
  autogen,
+# For makeinfo:
  texinfo,
  texlive-base,
 Homepage: https://www.rfc1149.net/devel/adasockets.html
@@ -24,7 +26,7 @@
 Replaces: libadasockets8-dev, libadasockets9-dev, libadasockets10-dev,
  libadasockets11-dev, libadasockets12-dev
 Provides: ${ada:Provides}
-Suggests: pkg-config
+Suggests: pkgconf
 Architecture: any
 Depends:
  ${ada:Depends},
