=== debian/rules ===
--- 
+++ 
@@ -33,4 +33,4 @@
 override_dh_auto_build-arch \
 override_dh_auto_test-arch \
 override_dh_auto_install-arch: override_%-arch:
-	$* -- SUBDIRS_DOC= SUBDIRS_EXAMPLES=
+	$* -- SUBDIR_DOC= SUBDIR_EXAMPLES=
