=== debian/watch ===
version=4

# https://rfc1149.net/devel/adasockets.html provides tarballs with
# lots of generated files like autoconf stuff and PDF documentation.
# Also some scripts from the source tree are missing.

https://git.sr.ht/~rfc1149/adasockets/refs/ \
  .*/archive/v@ANY_VERSION@@ARCHIVE_EXT@
